﻿@model PonudaViewModel

@{
    ViewData["Title"] = "Dokumenti ponude br -" + Model.Id ;
}

<div class="container">
    <div class="form-group row">
        <div class="col-sm-8">
            <h4>Dokumenti ponude br. @Model.Id; Cijena: @Model.ukupnaCijenaPonude; Vrsta ponuditelja: @Model.vrstaPonuditelja, Tvrtka: @Model.tvrtka, Konzorcij: @Model.konzorcij </h4>
        </div>
    </div>
</div>

<div class="row justify-content-sm-center">
    <div class="col-sm-1 text-right">
        <a asp-action="Edit"
           asp-route-Id="@Model.Id"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
    </div>
    <div class="col-sm-1 text-center">
        <form asp-action="Delete" method="post"
              asp-route-page="@ViewBag.Page"
              asp-route-sort="@ViewBag.Sort"
              asp-route-ascending="@ViewBag.Ascending">
            <input type="hidden" name="Id" value="@Model.Id" />
            <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                <i class="fas fa-trash-alt"></i>
            </button>
        </form>
    </div>
    <div class="col-sm-1 text-left">
        <a asp-action="Index"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Povratak na popis"><i class="fas fa-undo-alt"></i></a>
    </div>
</div>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 1 ? !ViewBag.Ascending : true)">
                    Urudžbeni br.
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 2 ? !ViewBag.Ascending : true)">Vrsta dokumenta</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 3 ? !ViewBag.Ascending : true)">Datum dokumenta</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 4 ? !ViewBag.Ascending : true)">Naslov</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 4 ? !ViewBag.Ascending : true)">Ponuda br.</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 4 ? !ViewBag.Ascending : true)">Stručnjak</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@ViewBag.CurrentPage"
                   asp-route-ascending="@(ViewBag.Sort == 4 ? !ViewBag.Ascending : true)">Natječaj</a>
            </th>
            <th>
                Dokument
            </th>

        </tr>
    </thead>

    <tbody>
        @foreach (var dokument in Model.PonudaDokumenti)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => dokument.urudzbeniBr)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.vrsta)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.datumDokumenta)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.naslov)
                </td>

                <td>
                    @Html.DisplayFor(modelItem => dokument.ponuda)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.ponudaStrucnjak)

                </td>
                <td>

                    @Html.DisplayFor(modelItem => dokument.natjecaj)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.fileBinary)
                </td>
            </tr>
        }
    </tbody>
</table>